<template>
    <div>
        <div class="popup">
            <div class="popup__header"><p>Корзина заказа</p><a style="cursor: pointer" @click="hide_cart"><div class="icon-modal-close"></div></a></div>
            <div style="min-height: 332px;">
                <table id="cartList" v-if="items.length">
                <tr v-for="item in items" :key="item.id">
                    <td><img alt="" :src="get_img_path(item)" /></td>
                    <td><strong>{{item.part_type_name}}</strong>
                        <br>
                        <p>
                            <span>{{item.position}}</span><br v-if="item.position">
                            <strong>{{item.sf_name}}</strong>&nbsp;<span v-if="item.sf_name">кузов</span>&nbsp;
                            <strong>{{item.se_name}}</strong>&nbsp;<span v-if="item.se_name">двигатель</span>
                        </p>
                    </td>
                    <td><strong>Кол-во</strong><br><input @input="update_part_amount" :value="item.amount" :data-id="item.id" type="number" min="1" step="1" /></td>
                    <td><p class="price">{{item.price}}</p></td>
                    <td><div @click="remove4cart(item)" class="icon-item-delete"></div></td>
                </tr>
                </table>
            </div>
            <div style="margin: 0 auto; width: 95%; background-color: #dedede; height: 1px; margin-bottom: 28px;"></div>
            <nav>
                <a v-if="items.length" class="order__button" @click="show_cart_order">Оформить заказ</a>
                <a @click="hide_cart" href="javascript:void(0)" class="cancel__button">Продолжить покупки</a>
            </nav>
        </div>
    </div>
</template>

<script>
  import { mapMutations, mapState, mapActions } from 'vuex';

  export default {
    name: 'Cart',
    computed: {
      ...mapState('cart', ['items'])
    },
    methods: {
      ...mapMutations('cart', ['hide_cart', 'remove4cart', 'show_cart_order', 'update_part_amount']),
      ...mapActions('cart', ['send_cart']),
      get_img_path: function (part) {
        if (part.photos) {
          const path = part.photos.path;
          const item = part.photos.part[0];
          return `https://img.bibinet.ru${path}-${item}_c104x60.jpg`;
        } else {
          return '/img/small.jpg';
        }
      }
    }
  }
</script>

<style scoped>

</style>
